-- Label parameters
-- Copyright (C) 2018, Eagle Dynamics.



-- labels =  0  -- NONE
-- labels =  1  -- FULL
-- labels =  2  -- ABBREVIATED
-- labels =  3  -- DOT ONLY

-- Off: No labels are used
-- Full: As we have now
-- Abbreviated: Only red or blue dot and unit type name based on side
-- Dot Only: Only red or blue dot based on unit side

AirOn			 		= true
GroundOn 		 		= true
NavyOn		 	 		= true
WeaponOn 		 		= true
labels_format_version 	= 2 -- labels format vesrion


local function NEUTRAL_DOT(hundred_percent_dist,five_percent_dist,cutoff_dist)

	local res = {
		[500]	= EMPTY,
	}
	local points = (five_percent_dist - hundred_percent_dist)/2000
	local last_x = 0
	for i = 1,points,1 do 
		last_x 		= hundred_percent_dist + (i - 1) * 2000
		local opacity 	= 0.95 * (1 - math.sqrt(last_x/five_percent_dist)) + 0.05
		res[last_x] 	= {"·","CenterCenter",0,opacity,0,1}
	end
	
	res[last_x + 2000] = EMPTY
	return res
	
end

local baseNeutralDotColor = {75,75,75}

local function DOT(hundred_percent_dist,five_percent_dist,cutoff_dist)

	local res = {
		[500]	= EMPTY,
	}
	local points = (five_percent_dist - hundred_percent_dist)/2000
	local last_x = 0
	for i = 1,points,1 do 
		last_x 		= hundred_percent_dist + (i - 1) * 2000
		local opacity 	= 0.95 * (1 - math.sqrt(last_x/five_percent_dist)) + 0.05
		res[last_x] 	= {"-","CenterCenter",0,opacity,0,2}
	end
	
	res[last_x + 2000] = EMPTY
	return res
	
end


LEVEL_NEUTRAL_DOT = {

	AirFormat 	 = NEUTRAL_DOT(1000,30000),
	GroundFormat = NEUTRAL_DOT(1000,9000),
	NavyFormat 	 = NEUTRAL_DOT(1000,10000),
	WeaponFormat = NEUTRAL_DOT(1000,9000),
	--------------------------------------------------------
	ColorAliesSide   		= baseNeutralDotColor,
	ColorEnemiesSide 		= baseNeutralDotColor,
	ColorUnknown     		= baseNeutralDotColor,

	ShadowColorNeutralSide 	= baseNeutralDotColor,
	ShadowColorAliesSide	= baseNeutralDotColor,
	ShadowColorEnemiesSide 	= baseNeutralDotColor,
	ShadowColorUnknown 		= baseNeutralDotColor,

	BlurColorNeutralSide 	= baseNeutralDotColor,
	BlurColorAliesSide		= baseNeutralDotColor,
	BlurColorEnemiesSide	= baseNeutralDotColor,
	BlurColorUnknown		= baseNeutralDotColor,
	--------------------------------------------------
	font_properties 		= {"DejaVuLGCSans.ttf",11},
}

LEVEL_DOT = {
 
	AirFormat 	 = DOT(1000,30000),
	GroundFormat = DOT(1000,9000),
	NavyFormat 	 = DOT(1000,10000),
	WeaponFormat = DOT(1000,9000),
	--------------------------------------------------------
	ColorAliesSide   		= baseNeutralDotColor,
	ColorEnemiesSide 		= baseNeutralDotColor,
	ColorUnknown     		= baseNeutralDotColor,

	ShadowColorNeutralSide 	= baseNeutralDotColor,
	ShadowColorAliesSide	= baseNeutralDotColor,
	ShadowColorEnemiesSide 	= baseNeutralDotColor,
	ShadowColorUnknown 		= baseNeutralDotColor,

	BlurColorNeutralSide 	= baseNeutralDotColor,
	BlurColorAliesSide		= baseNeutralDotColor,
	BlurColorEnemiesSide	= baseNeutralDotColor,
	BlurColorUnknown		= baseNeutralDotColor,
	--------------------------------------------------
	font_properties 		= {"DejaVuLGCSans.ttf",17},
}

LEVEL_ABBREVIATED = {

	AirFormat 	 = DOT(1000,30000),
	GroundFormat = DOT(1000,9000),
	NavyFormat 	 = DOT(1000,10000),
	WeaponFormat = DOT(1000,9000),
	--------------------------------------------------------
	ColorAliesSide   		= baseNeutralDotColor,
	ColorEnemiesSide 		= baseNeutralDotColor,
	ColorUnknown     		= baseNeutralDotColor,

	ShadowColorNeutralSide 	= baseNeutralDotColor,
	ShadowColorAliesSide	= baseNeutralDotColor,
	ShadowColorEnemiesSide 	= baseNeutralDotColor,
	ShadowColorUnknown 		= baseNeutralDotColor,

	BlurColorNeutralSide 	= baseNeutralDotColor,
	BlurColorAliesSide		= baseNeutralDotColor,
	BlurColorEnemiesSide	= baseNeutralDotColor,
	BlurColorUnknown		= baseNeutralDotColor,
	--------------------------------------------------
	font_properties 		= {"DejaVuLGCSans.ttf",21},
}

LEVEL_FULL = {

	AirFormat 	 = DOT(1000,30000),
	GroundFormat = DOT(1000,9000),
	NavyFormat 	 = DOT(1000,10000),
	WeaponFormat = DOT(1000,9000),
	--------------------------------------------------------
	ColorAliesSide   		= baseNeutralDotColor,
	ColorEnemiesSide 		= baseNeutralDotColor,
	ColorUnknown     		= baseNeutralDotColor,

	ShadowColorNeutralSide 	= baseNeutralDotColor,
	ShadowColorAliesSide	= baseNeutralDotColor,
	ShadowColorEnemiesSide 	= baseNeutralDotColor,
	ShadowColorUnknown 		= baseNeutralDotColor,

	BlurColorNeutralSide 	= baseNeutralDotColor,
	BlurColorAliesSide		= baseNeutralDotColor,
	BlurColorEnemiesSide	= baseNeutralDotColor,
	BlurColorUnknown		= baseNeutralDotColor,
	--------------------------------------------------
	font_properties 		= {"DejaVuLGCSans.ttf",23},
}

